body {
    background-color: #F5F5F5;
}
/* для колонок черного цвета */
#black_cells{
    color: #ffffff;        
    background: #181818;
}

/* создание первой строки */
.menu {
    list-style:none;
    margin: 0;
    padding-left: 0;
    text-align: center;
    display: flex;
    font-weight: 500;
    font-size: 16px;
    margin-left: 248px;
    font-family: 'Raleway';
    font-style: normal;
}
    a {text-decoration: none;}
.header_line {
    display:flex;
    align-items: center;
    margin: 38px 0 0 50px;
}
.menu_header_items{
    color: #000;
    text-decoration: none;
    margin-right: 40px;
}

/* создание лого developer */
.header_logo {
    width: 93px;
    height: 24px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    border: 2px solid #000000;
    border-radius: 8px;
    padding: 4px 8px;
    text-transform: uppercase;
    color: #000000;
    flex: none;
    order: 0;
    flex-grow: 0;
}

/* создание главного текста */
.main_header_text {
    display: flex;
    width: 900px;
    height: 128px;
    margin-top: 120px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 64px;
    line-height: 64px;
    text-align: center;
    letter-spacing: -0.02em;
    color: #181818;
}
/* создание нижнего главного текста */
.main_upper_text{
    display: flex;
    width: 450px;
    height: 48px;
    margin-top: 60px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    color: #000000;
}

/* создание лого программиста */
.header_image_rectangle {
    position: absolute;
    width: 170px;
    height: 170px;
    left: 1130px;
    top: 46px;
    background: #e6e3e3;
    border-radius: 10000px;
}
.header_image_programmist{
    position: absolute;
    width: 110px;
    height: 110px;
    left: 1160px;
    top: 66px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    font-size: 110px;
    line-height: 110px;
    text-align: center;
    color: #000000;
}

/* создание больших кнопок */
.central_cells{
    display: flex;
    flex-direction: row;
    padding: 0px;
    gap: 20px;
    justify-content: center;
    margin-top: 80px;
}
.central_cell_rectangle{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 15px 24px 17px;
    flex: none;
    order: 0;
    flex-grow: 0;
    color: #181818;
    background: #ffffff;
    border-radius: 15px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    border: 2px solid rgb(0, 0, 0);
}

/* создание маленьких кнопок */
.lower_cells_line{
    display: flex;
    padding: 0px;
    gap: 40px;
    margin-top: 100px;
    justify-content: center;
    align-items: center;
    margin-bottom: 44px;
}
.lower_central_cells{
    display: flex;
    align-items: center;
    padding: 4px 16px;
    gap: 8px;
    background: #ffffff;
    border-radius: 10000px;
    border: 2px solid rgb(0, 0, 0);
    color: #181818;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 20;
    font-size: 16px;
    line-height: 24px;
}

/* добавление фото */
.first_photo{
    align-items: center;
    width: 900px;
    height: 500px;
    display: block;
    margin: 0 auto;
    border: 1px solid #DBDBDB;
    border-radius: 15px;
}
.two_photo_in_raw{
    display: flex;
    padding: 0px;
    gap: 10px;
    margin-top: 30px;
    justify-content: center;
    align-items: center;
}
.second_photo{
    align-items: center;
    width: 400px;
    height: 400px;
    display: flex;
    margin-left: 30px;
    border: 1px solid #DBDBDB;
    border-radius: 15px;
}
.fourth_photo{
    align-items: center;
    margin: 0 auto;
    margin-top: 30px;
    border-radius: 15px;
    width: 900px;
    height: 500px;
    display: block;
}

/* создание личного профиля*/
.about_me{
    display: flex;
    margin: auto;
    margin-top: 100px;
}
.my_photo{
    width: 400px;
    height: 500px;
    display: block;
    margin-left: 200px;
    border: 1px solid #DBDBDB;
    border-radius: 15px;
}
.champ_photo{
    position: absolute;
    width: 60px;
    height: 60px;
    left: 180px;
    top: 2700px;
}
.trophy_rectangle{
    position: absolute;
    width: 100px;
    height: 100px;
    left: 160px;
    top: 2680px;
    background: #e6e3e3;
    border-radius: 10000px;
}
/* добавление текста рядом с фото */
.f_main_text{
    display: flex;
    margin-top: 20px;
    width: 1000px;
    height: 48px;
    color: #000000;
    font-family: 'Raleway';
    font-weight: 400px;
    font-size: 60px;
}
.s_main_text{
    position: absolute;
    width: 450px;
    height: 168px;
    left: 630px;
    top: 2450px;
    text-align: justify;
    color: #000000;
    font-family: 'Raleway';
    font-weight: 20px;
    font-size: 15px;
}

/* добавление текста внизу*/
.lower_main_text{
    display: flex;
    padding: 10px;
    gap: 50px;
    margin-top: 370px;
}
.lowerest_main_text{
    display: flex;
    padding: 40px 10px;
    text-align: center  ;
    color: #181818;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 20;
    font-size: 18px;
    line-height: 24px;
}
.left_main_text{
    position: absolute;
    width: 100px;
    height: 250px;
    left: 630px;
    top: 2700px;
}
.middle_main_text{
    position: absolute;
    width: 100px;
    height: 250px;
    left: 800px;
    top: 2700px;
}
.right_main_text{
    position: absolute;
    width: 80px;
    height: 250px;
    left: 980px;
    top: 2700px;
}
.upper_main_text{
    font-weight: 20px;
    font-size: 45px;
    text-align: justify;
    color: #000000;
    margin-left: 248px;
    font-family: 'Raleway';
}
.left_upper_main_text{
    position: absolute;
    width: 100px;
    height: 250px;
    left: 630px;
    top: 2630px;
}
.middle_upper_main_text{
    position: absolute;
    width: 100px;
    height: 250px;
    left: 800px;
    top: 2630px;
}
.right_upper_main_text{
    position: absolute;
    width: 80px;
    height: 250px;
    left: 980px;
    top: 2630px;
}

/* создание черной зоны */
.black_place{
    display: flex;
    text-align: center;
    margin: auto;
    margin-top:100px;
    width: 1440px;
    height: 768px;
    background: #181818;
}

/* создание черной зоны*/
.services{
    margin-top: 100px;
    width: 1440px;
    height: 768px;
    margin: auto;
    text-align: center;
    background: #181818;
 }
 .services_title{
    margin-top: 100px;
    background: #181818;
    color: white;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 48px;
    line-height: 64px;
    letter-spacing: -0.02em;
    text-align: center;
 }
  .containers{
    background: #181818;
    margin: auto;
    display: flex;
    padding: 0px;
    gap: 28px;
    width: 1160px;
    height: 384px;
 }
 .container_1{
    text-align: left;
    width: 368px;
    height: 384px;   
    margin: auto;
    display: flex;
    flex-direction: column;
    padding: 40px;
    gap: 8px;
    background: #FFFFFF;
    border-radius: 16px;
    order: 0;
 }
 .container_2{
    text-align: left;
    margin: auto;
    width: 368px;
    height: 384px;
    display: flex;
    flex-direction: column;
    padding: 40px;
    gap: 8px;
    background: #FFFFFF;
    border-radius: 16px;
    order: 1;
 }
 .container_3{
    text-align: left;
    width: 368px;
    height: 384px;
    display: flex;
    flex-direction: column;
    padding: 40px;
    gap: 8px;
    background: #FFFFFF;
    border-radius: 16px;
    order: 2;
 }
 .containers_num{
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #181818;
    opacity: 0.5;
    flex: none;
    order: 0;
    align-self: stretch;
    flex-grow: 0;
 }
 .container_titles{
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    margin-top: 20px;
    color: #181818;
    flex: none;
    order: 1;
    align-self: stretch;
    flex-grow: 0;
 }
 .container_description{
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 24px;
    margin-top: 0px;
    color: #181818;
    flex: none;
    order: 1;
    align-self: stretch;
    flex-grow: 0;
 }
 .rectangle{
    margin-top: 60px;
    margin-bottom: 56px;
    width: 80px;
    height: 0px;
    opacity: 0.2;
    border: 1px solid #181818;
    flex: none;
    order: 1;
 }
 .price{
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    line-height: 24px;
    color: #181818;
    flex: none;
    order: 2;
    align-self: stretch;
 }
/* создание части подсчета стоимости */
.price_calculator{
    display: block;
}
.price_calculator_title{
    text-align: center;
    margin-top:120px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 48px;
    line-height: 64px;
    letter-spacing: -0.02em;
    color: #181818;
}
/* создание картинок */
.clock_photo{
    position: absolute;
    width: 60px;
    height: 60px;
    left: 100px;
    top: 4000px;
    background: #e6e3e3;
}
.clock_rectangle{
    position: absolute;
    width: 100px;
    height: 100px;
    left: 80px;
    top: 3985px;
    background: #e6e3e3;
    border-radius: 10000px;
}
.prog_photo{
    position: absolute;
    width: 110px;
    height: 110px;
    left: 1260px;
    top: 4010px;
    background: #e6e3e3;
}
.prog_rectangle{
    position: absolute;
    width: 170px;
    height: 170px;
    left: 1230px;
    top: 3985px;
    background: #e6e3e3;
    border-radius: 10000px;
}
/* создание основной части калькулятора цены */
.calculator{
    margin: auto;
    margin-top: 40px;
    width: 448px;
    height: 368px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    padding: 40px 24px;
    background: #FFFFFF;
    border: 1px solid #CCCCCC;
    border-radius: 20px;
}
.some_fieldes{
    display: flex;
    flex-direction: column;
    padding: 0px;
    gap: 24px;
    width: 400px;
    height: 192px;
    flex: none;
    order: 0;
    flex-grow: 0;
}
.input_field_1{
    border: 1px solid #CCCCCC;
    width: 400px;
    height: 48px;
    background: #FFFFFF;
    border-radius: 8px;
    order: 0;
}
.input_field_1_text{
    margin-bottom: 12px;
    margin-top: 12px;
    margin-left: 16px;
    width: 89px;
    height: 24px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #808080;
    flex: none;
    order: 0;
    flex-grow: 0;
}
.input_field_2{
    border: 1px solid #CCCCCC;
    width: 400px;
    height: 48px;
    background: #FFFFFF;
    opacity: 0.5;
    border-radius: 8px;
    order: 1;
 }
.input_field_2_text{
    margin-bottom: 12px;
    margin-top: 12px;
    margin-left: 16px;
    width: 221px;
    height: 24px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    color: #808080;
    order: 0;
}
.marker_field{
    display: flex;
    padding: 0px;
    gap: 16px;
    width: 363px;
    height: 48px;
    order: 2;
 }
.marker_field_text{
    text-align: center;
    margin: auto;
    width: 300px;
    height: 48px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    color: #181818;
    order: 1;
}
.next_field{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 32px 0px 0px;
    gap: 8px;
    width: 400px;
    height: 88px;
    order: 1;
}
.button_of_the_calculator{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 15px 24px 17px;
    gap: 8px;
    width: 400px;
    height: 56px;
    border: 2px solid #181818;
    border-radius: 8px;
    order: 0;
}
.text_of_the_button{
    width: 200px;
    height: 24px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
    color: #181818;
    order: 0;
}
.result{
    margin: auto;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    padding: 40px 24px;
    gap: 24px;
    width: 400px;
    height: 384px;
    background: #FFFFFF;
    border: 1px solid #CCCCCC;
    border-radius: 0px 0px 16px 16px;
}
.result_title{
    width: 318px;
    height: 64px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 30px;
    line-height: 64px;
    letter-spacing: -0.02em;
    color: #181818;
    order: 0;
}
.result_text{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    flex: none;
    order: 1;
    flex-grow: 0;
 }
.result_additional_text{
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    color: #181818;
    flex: none;
    order: 0;
    flex-grow: 0;
}
.result_main_text{
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    color: #181818;
    order: 1;
}
.result_button{
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 16px 0px 0px;
    gap: 8px;
    order: 3;
    align-self: stretch;
}
.result_button_body{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 15px 24px 17px;
    gap: 8px;
    width: 300px;
    height: 25px; 
    background: #181818;
    border-radius: 8px;
    order: 0;
}
.result_button_text{
    width: 135px;
    height: 24px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    color: #FFFFFF;
    order: 0;
}

/* создание зоны вопрос-ответ */
.q_and_a{
    margin-top: 100px;
    width: 1440px;
    height: 1232px;
    background: #181818;
    gap: 16px;
}
.q_and_a_titile{
    margin:auto;
    text-align: center;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 48px;
    line-height: 64px;
    letter-spacing: -0.02em;
    color: #FFFFFF;
}
.q_and_a_sections{
    margin: auto;
    width: 1160px;
    height: 88px;
    margin-top: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 32px 40px;
    gap: 24px;
    width: 1160px;
    height: 88px;
    background: #FFFFFF;
    border: 1px solid #CCCCCC;
    border-radius: 16px;
    order: 0;
    align-self: stretch;
}
.q_and_a_opened_sections{
    margin: auto;
    width: 1160px;
    height: 328px;
    margin-top:18px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 32px 40px;
    gap: 24px;
    background: #FFFFFF;
    border: 1px solid #000000;
    border-radius: 16px;
    order: 1;
    align-self: stretch;
}
.questions{
    display: flex;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 24px;
    line-height: 24px;
    color: #181818;
    order: 0;
}
.answers{
    display: flex;
    width: 800px;
    height: 216px;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 24px;
    color: #181818;
    order: 1;
}
.pluses{
    font-family: 'Raleway';
    font-size: 40px;
    font-style: normal;  
    color: #181818;
    border-radius: 1px;
}

/* создание "оставьте заявку" */
.application{
    margin: auto;
    text-align: center;
    display: flex;
}
.application_title{
    margin: auto;
    margin-top: 60px;
    text-align: center;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 48px;
    line-height: 64px;
    letter-spacing: -0.02em;
    color: #181818;
}
.application_description{
    margin: auto;
    text-align: center;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: #181818;
}
.lightning_photo{
    position: absolute;
    width: 40px;
    height: 40px;
    left: 200px;
    top: 6100px;
    background: #e6e3e3;
}
.lightning_rect{
    position: absolute;
    width: 100px;
    height: 100px;
    left: 170px;
    top: 6070px;
    background: #e6e3e3;
    border-radius: 10000px;
}
.prog_photo2{
    position: absolute;
    width: 110px;
    height: 110px;
    left: 1200px;
    top: 6500px;
    background: #e6e3e3;
}
.prog_rectangle2{
    position: absolute;
    width: 170px;
    height: 170px;
    left: 1170px;
    top: 6480px;
    background: #e6e3e3;
    border-radius: 10000px;
}
.thought_rectangle{
    position: absolute;
    width: 120px;
    height: 120px;
    left: 170px;
    top: 6780px;
    background: #e6e3e3;
    border-radius: 10000px;
}
.thought_photo{
    position: absolute;
    width: 70px;
    height: 70px;
    left: 200px;
    top: 6805px;
    background: #e6e3e3;
}

/* создание таблицы "оставьте заявку" */
.application_container{
    margin: auto;
    width: 448px;
    height: 552px;
    margin-top: 40px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 40px 24px;
    gap: 8px;
    background: #FFFFFF;
    border: 1px solid #CCCCCC;
    border-radius: 16px;
}
.application_fields{
    margin: auto;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 24px;
    flex: none;
    order: 0;
    flex-grow: 0;
}
.application_normal_field{
    border: 1px solid #CCCCCC;
    width: 400px;
    height: 48px;
    margin: auto;
    text-align: center;
    background: #FFFFFF;
    border-radius: 8px;
    flex: none;
    order: 0;
    flex-grow: 0;
}
.application_big_field{
    border: 1px solid #CCCCCC;
    width: 400px;
    height: 160px;
    margin: auto;
    text-align: center;
    background: #FFFFFF;
    border-radius: 8px;
    flex: none;
    order: 3;
    flex-grow: 0;
}
.field_text{
    margin-top: 12px;
    margin-left: 16px;
    text-align: left;
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    color: #808080;
    flex: none;
    order: 0;
    flex-grow: 0;
}
.application_button{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 32px 0px 0px;
    gap: 8px;
    flex: none;
    order: 1;
    flex-grow: 0;
}
.application_button_space{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 15px 24px 17px;
    gap: 8px;
    width: 358px;
    height: 40px;
    background: #181818;
    border-radius: 8px;
    flex: none;
    order: 0;
    flex-grow: 0;
}
.application_button_text{
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    font-size: 20px;
    line-height: 24px;
    color: #FFFFFF;
    flex: none;
    order: 0;
    flex-grow: 0;
}
/* raleway-regular - latin */
@font-face {
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/raleway-v28-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('../fonts/raleway-v28-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('../fonts/raleway-v28-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
         url('../fonts/raleway-v28-latin-regular.woff') format('woff'), /* Modern Browsers */
         url('../fonts/raleway-v28-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
         url('../fonts/raleway-v28-latin-regular.svg#Raleway') format('svg'); /* Legacy iOS */
  }
  /* raleway-500 - latin */
  @font-face {
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/raleway-v28-latin-500.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('../fonts/raleway-v28-latin-500.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('../fonts/raleway-v28-latin-500.woff2') format('woff2'), /* Super Modern Browsers */
         url('../fonts/raleway-v28-latin-500.woff') format('woff'), /* Modern Browsers */
         url('../fonts/raleway-v28-latin-500.ttf') format('truetype'), /* Safari, Android, iOS */
         url('../fonts/raleway-v28-latin-500.svg#Raleway') format('svg'); /* Legacy iOS */
  }
  /* raleway-600 - latin */
  @font-face {
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 600;
    src: url('../fonts/raleway-v28-latin-600.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('../fonts/raleway-v28-latin-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('../fonts/raleway-v28-latin-600.woff2') format('woff2'), /* Super Modern Browsers */
         url('../fonts/raleway-v28-latin-600.woff') format('woff'), /* Modern Browsers */
         url('../fonts/raleway-v28-latin-600.ttf') format('truetype'), /* Safari, Android, iOS */
         url('../fonts/raleway-v28-latin-600.svg#Raleway') format('svg'); /* Legacy iOS */
  }